Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039532
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Cash upmajoralways2018-10-24 14:382018-11-16 10:52
ReporterlmonrealView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in VersionRR19Q1
StatusclosedFix in branchFixed in SCM revision45c666043a61
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039532: If Cash Up window approval is set and store is closed if next login needs approval for cash up it will make WEBPOS freeze

DescriptionWhen a user needs approval to do the cash up and the store is closed from back office, when user logs again in webpos "Cash up needs to be done" pop up is displayed with the approval. If credentials to approve are entered, WEBPOS freezes and user cannot do anything.
Steps To Reproduce1.Configuration
Web POS Cash Up window approval
Value: Y
User Openbravo

Web POS Cash Up window approval
Value: N
User: Blank

Steps
1. Open store and terminal
2. Do a transaction
3. Close store from back office
4. Login back with Demo user (any user apart from Openbravo will serve)
5. Cash up needs to be done window is displayed
6. Approve it with approver Openbravo
7. Initial count cash is displayed but the window freezes totally and user is unable to do anything.
8. Press F5 and same behaviour continues
TagsNo tags attached.
Attached Filespng file icon WEBPOS_FREez.png [^] (91,444 bytes) 2018-10-24 14:38

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0107770)
hgbot (developer)
2018-11-06 23:02

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 45c666043a611475b3f5da97b3e6def57579be78
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue Nov 06 09:40:53 2018 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/45c666043a611475b3f5da97b3e6def57579be78 [^]

Fixed issue 39532: If Cash Up window approval is set and store is closed if next
login needs approval for cash up it will make WEBPOS freeze

---
M web/org.openbravo.mobile.core/source/component/obpos-approval.js
---

- Issue History
Date Modified Username Field Change
2018-10-24 14:38 lmonreal New Issue
2018-10-24 14:38 lmonreal Assigned To => Retail
2018-10-24 14:38 lmonreal File Added: WEBPOS_FREez.png
2018-10-24 14:38 lmonreal Triggers an Emergency Pack => No
2018-10-24 14:39 lmonreal Steps to Reproduce Updated View Revisions
2018-10-30 02:58 rqueralta Assigned To Retail => rqueralta
2018-10-30 02:58 rqueralta Status new => scheduled
2018-11-06 16:17 lmonreal Priority normal => urgent
2018-11-06 23:02 hgbot Checkin
2018-11-06 23:02 hgbot Note Added: 0107770
2018-11-06 23:02 hgbot Status scheduled => resolved
2018-11-06 23:02 hgbot Resolution open => fixed
2018-11-06 23:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/45c666043a611475b3f5da97b3e6def57579be78 [^]
2018-11-16 10:52 marvintm Review Assigned To => marvintm
2018-11-16 10:52 marvintm Status resolved => closed
2018-11-16 10:52 marvintm Fixed in Version => RR19Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker